From 484daf0ce7e2f8c5d718b9044693950f397972a0 Mon Sep 17 00:00:00 2001
From: Bastian Bittorf <bittorf@bluebottle.com>
Date: Fri, 17 Oct 2014 04:15:34 -0400
Subject: [PATCH 3/9] [ar71xx/kernel] upgrade 3.10.51 to 3.10.52 - released
 2014-08-07

[ar71xx/kernel] upgrade 3.10.51 to 3.10.52 - released 2014-08-07

compile tested.

shortlog from https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.10.52

ARM: 8115/1: LPAE: reduce damage caused by idmap to virtual memory layout
cfg80211: fix mic_failure tracing
crypto: af_alg - properly label AF_ALG socket
iio: buffer: Fix demux table creation
lib/btree.c: fix leak of whole btree nodes
mm, thp: do not allow thp faults to avoid cpuset restrictions
net/l2tp: don't fall back on UDP [get|set]sockopt
net: mvneta: add missing bit descriptions for interrupt masks and causes
net: mvneta: do not schedule in mvneta_tx_timeout
net: mvneta: increase the 64-bit rx/tx stats out of the hot path
net: mvneta: replace Tx timer with a real interrupt
net: mvneta: use per_cpu stats to fix an SMP lock up
printk: rename printk_sched to printk_deferred
rapidio/tsi721_dma: fix failure to obtain transaction descriptor
Revert "mac80211: move "bufferable MMPDU" check to fix AP mode scan"
Revert "x86-64, modify_ldt: Make support for 16-bit segments a runtime option"
scsi: handle flush errors properly
staging: vt6655: Fix disassociated messages every 10 seconds
staging: vt6655: Fix Warning on boot handle_irq_event_percpu.
timer: Fix lock inversion between hrtimer_bases.lock and scheduler locks
x86_64/entry/xen: Do not invoke espfix64 on Xen
x86-64, espfix: Don't leak bits 31:16 of %esp returning to 16-bit stack
x86, espfix: Fix broken header guard
x86, espfix: Make espfix64 a Kconfig option, fix UML
x86, espfix: Make it possible to disable 16-bit support
x86, espfix: Move espfix definitions into a separate header file
x86/espfix/xen: Fix allocation of pages for paravirt page tables

Signed-off-by: Bastian Bittorf <bittorf@bluebottle.com>
---
 target/linux/ar71xx/Makefile |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/target/linux/ar71xx/Makefile b/target/linux/ar71xx/Makefile
index a91b986..62c4be6 100644
--- a/target/linux/ar71xx/Makefile
+++ b/target/linux/ar71xx/Makefile
@@ -13,7 +13,7 @@ FEATURES:=mips16
 CPU_TYPE=34kc
 SUBTARGETS:=generic nand mikrotik
 
-LINUX_VERSION:=3.10.51
+LINUX_VERSION:=3.10.52
 
 include $(INCLUDE_DIR)/target.mk
 
-- 
1.7.10.4

